CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

打印类型特性 (活动X)

2023-1-3 08:30| 发布者: admin| 查看: 331| 评论: 0|来自: AutoCAD

摘要: 指定布局或打印配置的类型。

指定布局或打印配置的类型。

支持的平台:仅窗口

签名

工 务 局:

object.PlotType
对象

类型:布局绘图配置

此属性适用的对象。

属性值

只读:

类型:枚举acPlotType

  • acDisplay:打印当前显示中的所有内容。
  • acExtents:打印当前选定空间范围内的所有内容。
  • acLimits:打印当前空间限制内的所有内容。
  • acView:打印由属性命名的视图。ViewToPlot
  • acWindow:打印方法指定的窗口中的所有内容。SetWindowToPlot
  • acLayout:打印指定纸张大小边距内的所有内容,原点从“布局”选项卡中的 0,0 坐标位置计算。从模型空间打印时,此选项不可用。

言论

在重新生成图形之前,对此属性的更改将不可见。使用该方法再生图形。Regen

必须先调用属性或方法,然后才能设置 thetoor。ViewToPlotSetWindowToPlotPlotTypeacViewacWindow

例子

工 务 局:

Sub Example_PlotType()
    ' This example reads and modifies the PlotType
    ' Layout value.
    ' When finished, this example resets the  value back to
    ' its original value.
    
    Dim ACADLayout As ACADLayout
    Dim originalValue As Integer
    
    ' Get the layout object
    Set ACADLayout = ThisDrawing.ActiveLayout
    
    ' Read and display the original value
    originalValue = ACADLayout.PlotType
    MsgBox "The PlotType value is set to: " & originalValue

    ' Modify the PlotType preference by toggling the value
    ACADLayout.PlotType = acExtents
    MsgBox "The PlotType preference has been set to: " & ACADLayout.PlotType

    ' Reset the preference back to its original value
    ACADLayout.PlotType = originalValue
    MsgBox "The PlotType preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PlotType()
    ;; This example reads and modifies the PlotType
    ;; Layout value.
    ;; When finished, this example resets the  value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Get the layout object
    (setq ACADLayout (vla-get-ActiveLayout doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-PlotType ACADLayout))
    (alert (strcat "The PlotType value is set to: " (itoa originalValue)))

    ;; Modify the PlotType preference by toggling the value
    (vla-put-PlotType ACADLayout acExtents)
    (alert (strcat "The PlotType preference has been set to: " (itoa (vla-get-PlotType ACADLayout))))

    ;; Reset the preference back to its original value
    (vla-put-PlotType ACADLayout originalValue)
    (alert (strcat "The PlotType preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 17:34

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部